<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use App\Models\Categorias;


class CategoriasController extends Controller
{
     public function index(Request $request){

        $categorias = Categorias::all();

       // $categorias = Categorias::findOrFail(13);
        //$cat = Categorias::where('id_categoria', 1)->first();
        //$categorias = Categorias::where('descripcion', 'Cursos, capacitaciones y formación')->get();
        //$categorias = Categorias::where('descripcion', 'like', '%Prod%')->get();
        
        //$categorias = Categorias::orderBy('nombre', 'desc')->get();
        
        //$categorias = Categorias::first();
        //$categorias = Categorias::last();
        /*Categorias::count();*/


        return view('categorias.index', ["categorias"=>$categorias]);
    }
      public function show($id){
        $categoria = Categorias::findOrfail($id);
        return view('categorias.show', ["cat"=>$categoria]);
    }

    public function destroy(Request $request, $id){
        $categorias = Categorias::findOrfail($id);
        $categorias->delete();
        return redirect('/categorias');
    }


     public function create(){
        return view('categorias.new');
    }

      public function store(Request $request){
    
        $categorias = new Categorias();
        $categorias->fill([
            'nombre' => $request->input('nombre'),
            'descripcion' => $request->input('descripcion'),
            ]);
        $categorias->save();
        return redirect('/categorias');
    }

    public function edit($id){
        $categoria = Categorias::findOrfail($id);
        //$categoria = Categorias::where('id_categoria',$id)->first();
        return view('categorias.edit', ["cat"=>$categoria]);
    }

    public function update(Request $request, $id){
        $categorias = Categorias::findOrfail($id);
        $categorias->fill([
            'nombre' => $request->input('nombre'),
            'descripcion' => $request->input('descripcion'),
        ]);
        $categorias->update();
          return redirect('/categorias');
    }

/*

  
 
    public function show($id){
        $categorias = Categorias::findOrfail($id);

        return view('categorias.show', ["cat"=>$categorias]);
    }


    public function edit($id){
        $categorias = Categorias::findOrfail($id);
        return view('categorias.edit', ["cat"=>$categorias]);
    }


     public function update(Request $request, $id){
        $categorias = Categorias::findOrfail($id);
        $categorias->fill([
            'nombre' => $request->input('nombre'),
            'descripcion' => $request->input('descripcion'),
        ]);
        $categorias->update();
          return redirect('/categorias');
    }


    */

    
}
